Bug 92221 - Unintended code changes in _mesa_base_tex_format commit
Summary: Unintended code changes in _mesa_base_tex_format commit
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-01 19:53 UTC by Nanley Chery
Modified: 2015-10-21 17:41 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nanley Chery 2015-10-01 19:53:16 UTC
Commit c6bf1cd1467ea5d5370394ba99366dd8a59a385c was supposed to move _mesa_base_tex_format() from one file to another, but it also adds extra code into the function and removes a case which handles ASTC formats.
Comment 1 Mark Janes 2015-10-01 20:28:47 UTC
Nanley, should there have been a piglit failure associated with ASTC functionality that was disabled?
Comment 2 Nanley Chery 2015-10-01 20:54:10 UTC
(In reply to Mark Janes from comment #1)
> Nanley, should there have been a piglit failure associated with ASTC
> functionality that was disabled?

Not at the moment. The tests are still on the list and haven't been merged to master. Some others developers and I are working to get them integrated.
Comment 3 Nanley Chery 2015-10-02 00:02:28 UTC
The code that was added was previously removed with this refactoring commit: 99b1f4751f97631011b64fabcb57acf6beae01ac
Comment 4 Nanley Chery 2015-10-05 23:48:24 UTC
(In reply to Nanley Chery from comment #2)
> (In reply to Mark Janes from comment #1)
> > Nanley, should there have been a piglit failure associated with ASTC
> > functionality that was disabled?
> 
> Not at the moment. The tests are still on the list and haven't been merged
> to master. Some others developers and I are working to get them integrated.

The tests are now integrated into piglit.
Comment 5 Nanley Chery 2015-10-21 17:41:35 UTC
The bug fix patch is now upstreamed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.